Skip to navigation

Get NucleotideMonomer by ID

Beta
Get a single NucleotideMonomer by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

nucleotide_monomer_idstringRequired
ID of the NucleotideMonomer.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
attachmentPointslist of stringsOptional
A list of the capping group present at each location where the monomer can form a bond with other monomers.
calculatedMolecularWeightdouble or nullOptional
The molecular weight of the monomer as calculated by RDKit based on the monomer chemical structure.
canonicalSmilesstringOptional
The SMILES representation of the monomer chemical structure after being standardized.
createdAtstringOptional
customMolecularWeightdouble or nullOptional
Optional molecular weight value that the user can provide to override the calculated molecular weight.
exactMolecularWeightdoubleOptional
The exact molecular weight of the monomer as calculated by RDKit based on the monomer chemical structure.
idstringOptional
modifiedAtstringOptional
monomerTypeenumOptional
The part of the nucleotide structure that the monomer fits into, i.e. backbone or branch.
Allowed values:
namestringOptional
naturalAnalogenumOptional

Natural equivalent of the monomer. For example, a modified ribose would have r as the natural analog, which is the symbol for natural ribose.

originalSmilesstring or nullOptional
The SMILES string that was originally provided upon creation of the monomer.
polymerTypeenumOptional

The polymer type of the monomer, per the HELM definition of polymer type. Because nucleotide monomers are only used in modified nucleotide sequences, the polymer type of a NucleotideMonomer is always RNA.

Allowed values:
symbolstringOptional

User-defined identifier of the monomer, unique on the monomer type.

visualColorstring or nullOptional
The color code of the monomer visual symbol.
visualSymbolenum or nullOptional
The shape of the monomer visual symbol.

Errors

400
Nucleotide Monomer Get Request Bad Request Error
403
Nucleotide Monomer Get Request Forbidden Error
404
Nucleotide Monomer Get Request Not Found Error
429
Nucleotide Monomer Get Request Too Many Requests Error
500
Nucleotide Monomer Get Request Internal Server Error